Page MenuHomePhabricator

Deploy Growth features on Romanian Wikipedia
Open, Needs TriagePublic

Description

Translations

Help panel

Homepage

  • Tutorial: Ghid
  • Signature list: Listă mentori
  • The signature list has been formatted like it should be (the list has currently too few mentors, but probably the number of mentors will increase).

Suggested edits

Suggested edits are based on these 5 task-types. At the moment, they can't be substituted. Please check maintenance template and links:

For templates only, you can suggest more templates that match the task description.

Extra links:

Anything else?

See https://ro.wikipedia.org/wiki/Wikipedia:Cafenea#GrowthExperiments and https://ro.wikipedia.org/wiki/Discu%C8%9Bie_Utilizator:NGC_54#Growth%20team%20features.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Urbanecm_WMF added a subscriber: Urbanecm_WMF.

@Trizek-WMF Hi, happy to see this! Please ping me once this is ready to be processed :).

Where does Tutorial: Q3945 (or Q915263) is used? In what area of the Homepage?

Change 665642 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/GrowthExperiments@master] Add Romanian aliases

https://gerrit.wikimedia.org/r/665642

(I know this is not ready yet, but it's useful to have translations in the codebase earlier, to avoid waiting for train)

Change 665642 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add Romanian aliases

https://gerrit.wikimedia.org/r/665642

Please deploy Growth features on Romanian Wikipedia. The discussion is 2 weeks old and there are suitable conditions for these features.
@Trizek-WMF, @Urbanecm_WMF:

Also, please export the latest translations in Romanian language of GrowthExperiments. I am not sure how does translatewiki really works, but the latest translations should be shown.

Also, please export the latest translations in Romanian language of GrowthExperiments. I am not sure how does translatewiki really works, but the latest translations should be shown.

Translations are exported from Translatewiki.net regularly, and should be updated at the wikis weekly. I'm not sure when @Trizek-WMF plans to have this deployed, so I can't comment on your previous comment.

Where does Tutorial: Q3945 (or Q915263) is used? In what area of the Homepage?

My mistake! It is not used anymore and I forgot to update the template I use for the creation of the task. No need to use it anymore. Thank you for noticing it.

I checked on the configuration, and I note that none of the listed mentors have added a description. It is not mandatory, but it could be a nice to have.

@Urbanecm_WMF , we can proceed on the deployment, with the tools available for 0% of newcomers.
@FonAfon, your wiki will have the features this week, only available for experienced users. They will have to turn them on in their preferences. Next week, if everything looks fine, we will make the tools available for new accounts.

Change 666198 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Enable GrowthExperiments on rowiki

https://gerrit.wikimedia.org/r/666198

Change 666198 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable GrowthExperiments on rowiki

https://gerrit.wikimedia.org/r/666198

Mentioned in SAL (#wikimedia-operations) [2021-02-22T19:33:40Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: fc7b071b98b2c14d45259212bd6bea858e3f5aa7: Enable GrowthExperiments on rowiki (T275130; 1/3) (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2021-02-22T19:35:04Z] <urbanecm@deploy1001> Synchronized dblists/growthexperiments.dblist: fc7b071b98b2c14d45259212bd6bea858e3f5aa7: Enable GrowthExperiments on rowiki (T275130; 2/3) (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2021-02-22T19:36:55Z] <urbanecm@deploy1001> Synchronized wmf-config/config/rowiki.yaml: fc7b071b98b2c14d45259212bd6bea858e3f5aa7: Enable GrowthExperiments on rowiki (T275130; 3/3) (duration: 00m 55s)

Should be shadow-deployed for experienced users now! Enjoy!

When I reload the homepage, my mentor changes.

When I reload the homepage, my mentor changes.

I confirm that issue. Filled separately under T275429: Homepage mentor is not stored persistently at Romanian Wikipedia. I'm unsure if it affects any other wiki.

@FonAfon, regarding the two following help pages:

They are not about the visual editor (VE). Growth features work on both editors, but we really recomand to have help contents that cover VE first. Asking people to understand wikitext syntax, or apply wikitext guidance when editing is a real blocker.

Cum modific o pagină makes a redirect to the visual editor manual on mediawiki.org. We should use it. The same applies about adding references.

@Trizek-WMF Does it need to be a local page? We haven't figured out the help pages completely, but VE has pretty good help pages on mw.org and I preferred to translate those rather than creating new pages.

Some other wikis use mediawikiwiki doc as well.

So we go with the following ones?

Change 666682 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] rowiki: Update help panel links

https://gerrit.wikimedia.org/r/666682

@Trizek-WMF @Strainu Hi, I'm going to change links in the following way:

It sounds to me that the old description Cum modific o pagină / Wikizare was no longer describing the link appropriately, so I'm changing the /description/ as well, to Modificarea imaginilor / Modificarea referințelor. I took those translations from headlines in the MediaWiki.org page. Can you confirm they're correct?

The translations are good, but now I'm a bit confused at what we're trying to achieve. Looking at the diff vs the current output (see screenshot), it looks to me that the old version is closer to what we want. I believed that the sections are fixed, but if they're fully customizable, I would suggest that knowing how to edit and how to work with images is far more important than uploading an image (especially the cross-wiki uploader that is offered by the visual editor). I propose the json below. @FonAfon do you have an opinion on that?

	'rowiki' => [
		[
			'title' => 'Ajutor:Bun venit',
			'text' => 'Bun venit',
			'id' => 'introduction',
		],
		[
			'title' => 'Wikipedia:Ghid',
			'text' => 'Ghid',
			'id' => 'tutorial',
		],
		[
			'title' => 'mw:Help:VisualEditor/User_guide/ro',
			'text' => 'Cum modific o pagină',
			'id' => 'formatting',
		],
		[
			'title' => 'Wikipedia:Imagini',
			'text' => 'Încărcarea imaginilor',
			'id' => 'images',
		],
		[
			'title' => 'Wikipedia:Asistent pentru a crea articole',
			'text' => 'Asistent pentru a crea articole',
			'id' => 'articlewizzard',
		],
	],

@Strainu So, you want the description to be kept for editing guide, but link to the MW manual in Romanian, and link the images link to Wikipedia:Imagini? Is that right?

@Trizek-WMF Any objections in doing so?

No objection as far as newcomers get the best documentation they need.

If I visit an article, I do not see the Help panel. Why? I see the Help panel in articles only if I use suggested edits; if I do no visit the articles using suggested edits, then I do not see the Help panel.
Edit: I have the same problem on cs.wikipedia, so probably this is not a problem.

If I visit an article, I do not see the Help panel. Why? I see the Help panel in articles only if I use suggested edits; if I do no visit the articles using suggested edits, then I do not see the Help panel.
Edit: I have the same problem on cs.wikipedia, so probably this is not a problem.

You should see it after you click on "Edit" on an article. The help panel appears in reading mode only for a few namespaces (Help, Help talk, Wikipedia, Wikipedia talk, User, and User talk) in addition to "guidance mode" after you've clicked on a suggested edit card on Special:Homepage.

Change 666682 merged by jenkins-bot:
[operations/mediawiki-config@master] rowiki: Update help panel links

https://gerrit.wikimedia.org/r/666682

Mentioned in SAL (#wikimedia-operations) [2021-03-01T08:45:30Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 92f65972f4277624f74369af08563a8ca6254bda: rowiki: Update help panel links (T275130) (duration: 01m 08s)

@Strainu @Trizek-WMF The help panel links were changed.

@Trizek-WMF I'm reassigning this to you, for tracking the testing of the features in the shadow mode. Please let me know once it's time to deploy to everyone.

I told the community that we plan to proceed on the deployment this Wednesday, to group it with other deployments. I will monitor potential replies to my message, and re-assign the task to @Urbanecm_WMF when time comes.

Mentioned in SAL (#wikimedia-operations) [2021-03-02T00:17:28Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: REDEPLOYING: 92f65972f4277624f74369af08563a8ca6254bda: rowiki: Update help panel links (T275130) (duration: 00m 59s)

Change 668175 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] rowiki: Make Growth features available to ro newcomers

https://gerrit.wikimedia.org/r/668175

Change 668175 merged by jenkins-bot:
[operations/mediawiki-config@master] rowiki: Make Growth features available to ro newcomers

https://gerrit.wikimedia.org/r/668175

Mentioned in SAL (#wikimedia-operations) [2021-03-03T19:28:34Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 7221371e12353120ce2d659f020ae666fe5dfb00: rowiki: Make Growth features available to ro newcomers (T275130) (duration: 01m 10s)

The WelcomeSurvey is enabled?
Edit: I no longer need an answer. the answer is "Yes".

It could be closed as "Resolved". I tested with 2 new accounts; the WelcomeSurvey was displayed for 2nd, the Homepage works, and I received notification about the existence of Homepage.

Urbanecm_WMF added a subscriber: Etonkovidova.

It could be closed as "Resolved". I tested with 2 new accounts; the WelcomeSurvey was displayed for 2nd, the Homepage works, and I received notification about the existence of HomePage.

I'm moving this to QA, so @Etonkovidova, our QA engineer, can make sure all works as expected. Glad to hear it works through!

"Special:Pagina acasă" redirects to "Special:WelcomeSurvey", but it should redirect to "Special:Homepage". "Special:Sondaj de bun venit" redirects to "Special:Homepage", but it should redirect to "Special:WelcomeSurvey".

Sorry, my bad copy pasting. Let me fix it.

Change 668767 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/GrowthExperiments@master] Fix special page translations for Romanian

https://gerrit.wikimedia.org/r/668767

The patch was not yet merged. Once it gets merged, it will take up to a
week for the update to propagate.

Change 668767 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Fix special page translations for Romanian

https://gerrit.wikimedia.org/r/668767

@Urbanecm_WMF: The issue is still not fixed.

The fix will be deployed with next train, expected deployment Thursday, 2021-03-11).